using System;

namespace BunyMuny {
	public class Statement {
		public DateTime Date;
		private string _description;
		public string Description {
			get => string.IsNullOrWhiteSpace(_description) ? OriginalDescription : _description;
			set { _description = value; }
		}

		public string OriginalDescription;
		public double Value;
		public string Category;

		public override string ToString() {
			return $"${Math.Abs(Value)} {(Value < 0 ? "to" : "from")} {(Description)} on {Date.ToString("MMM d yyyy")}";
		}
	}
}
